Class mtof
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.mtof

public class mtof
extends ej
Convert MIDI to frequency. This works for list, and allows you to define tuning and pitch reference.
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
mtof(float tuning) Create a mtof object with specified tuning.
mtof(float tuning, float pitch_reference) Create a mtof object with specified tuning and pitch reference.

Method Summary
void | inlet(float f) Calculate the frequency corresponding to the MIDI note number you send
void | inlet(int i) Calculate the frequency corresponding to the MIDI note number you send
void | list(float[] list)

Methods inherited from class ej.ej
anything, bang, dblclick, findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait

Constructor Detail
mtof
public mtof(float tuning)

  Create a mtof object with specified tuning.

mtof
public mtof(float tuning,
float pitch_reference)

  Create a mtof object with specified tuning and pitch reference.
  Parameters:
    tuning - tuning frequency
    pitch_reference - MIDI pitch reference

Method Detail
inlet
public void inlet(int i)

  Calculate the frequency corresponding to the MIDI note number you send
  Overrides:
    inlet in class ej
  Parameters:
    i - MIDI note number

inlet
public void inlet(float f)

  Calculate the frequency corresponding to the MIDI note number you send
  Overrides:
    inlet in class ej
  Parameters:
    f - MIDI note number

list
public void list(float[] list)

  Overrides:
    list in class com.cycling74.max.MaxObject

Java API documentation generated with DocFlex/Doclet v1.6.0
DocFlex/Doclet is both a multi-format Javadoc doclet and a free edition of DocFlex/Javadoc. If you need to customize your Javadoc without writing a full-blown doclet from scratch, DocFlex/Javadoc may be the only tool able to help you! Find out more at www.docflex.com